#ifndef FLUTTER_PLUGIN_FLUTTER_ZSDK_PLUGIN_H_
#define FLUTTER_PLUGIN_FLUTTER_ZSDK_PLUGIN_H_

#include <flutter/method_channel.h>
#include <flutter/plugin_registrar_windows.h>

#include <memory>

namespace flutter_zsdk {

class FlutterZsdkPlugin : public flutter::Plugin {
 public:
  static void RegisterWithRegistrar(flutter::PluginRegistrarWindows *registrar);

  FlutterZsdkPlugin();

  virtual ~FlutterZsdkPlugin();

  // Disallow copy and assign.
  FlutterZsdkPlugin(const FlutterZsdkPlugin&) = delete;
  FlutterZsdkPlugin& operator=(const FlutterZsdkPlugin&) = delete;

  // Called when a method is called on this plugin's channel from Dart.
  void HandleMethodCall(
      const flutter::MethodCall<flutter::EncodableValue> &method_call,
      std::unique_ptr<flutter::MethodResult<flutter::EncodableValue>> result);
};

}  // namespace flutter_zsdk

#endif  // FLUTTER_PLUGIN_FLUTTER_ZSDK_PLUGIN_H_
